/*
 * Global CSS file
 *
 * All global CSS properties goes here.
 */

/* Custom one-liner css properties goes here */
body {--accent-color: #ffc451 !important;}
.icon-box {width: 100%;}
.off {display: none !important;}
.active {display: flex !important;}
.service:hover {transform: scale(1.1);}
.service-active {border: 1px #ffbb38 solid !important;}
.modal-btn:hover {background-color: #ffbb38;}
.member-img {background: black;}
.short-cont p {font-style: italic;}
.member-img:hover > .short-cont {display: block;}
.animateTransition {animation: animation var(--transition-speed) ease;}
.service {cursor: pointer;}
#features .container {background-repeat: no-repeat !important;}
.logo-img {width: 300px;}
.img-header img {width: 100%;}
.cta-form {margin-top: 20px;}
.card {margin-bottom:40px;}
section.inner-page {min-height: 300px;}
.negative-gap {margin-top: 0;}
.txt-normal {text-align: justify;}
header nav li.mobile { display: none; }


/* Custom non-one-liner css properties goes here */
#header-inner {
    position: initial;
    padding: 10px;
    background-color: #000;
}
.form-group {
    div{margin-bottom: 20px;}
    input {font-style: italic;}
    textarea {font-style: italic;}
}
.service {
    -moz-transition: all 1s ease-in-out;
    -o-transition: all 1s ease-in-out;
    transition: all 1s ease-in-out;
}
#cta .img-header {
    background-color: #000000;
    img {
        width: 65%;
        height: 100px;
        margin-left: 80px !important;
    }
}
.sec1 {
    background: url("/images/hero-bg.jpg") top center;
    background-size: cover;
}
.sec2 {
    background: url("/images/img2.jpg") top center;
    background-size: cover;
}
.sec3 {
    background: url("/images/img3.jpg") top center;
    background-size: cover;
}
.sec4 {
    background: url("/images/img4.jpg") top center;
    background-size: cover;
}
.sec5 {
    background: url("/images/img5.jpg") top center;
    background-size: cover;
}
.modal-btn {
    background-color: transparent;
    margin-top: 5px;
    border-radius: 4px;
    padding: 5px 20px 3px 20px;
    white-space: nowrap;
    transition: 0.3s;
    font-size: 12px;
    color: black;
    display: inline-block;
    border: 2px solid #ffbb38;
}
.short-cont {
    width: 100%;
    height: 100%;
    position: absolute;
    background: rgba(39, 39, 39, 0.50);
    display: none;
    padding: 30px;
    font-size: 13px;
    color: white;
}
.short-cont h4 {
    color: #ffbb38;
    font-size: 16px;
}
.mem-title {
    font-size: 14px !important;
    color: black !important;
    font-style: normal !important;
    text-align: center !important;
    font-weight: bold;
}
.mem-bio {
    font-size: 14px !important;
    color: black !important;
    font-style: normal !important;
}
.modal-body {
    padding: 20px;
    font-size: 15px;
}
.service-details {
    text-align: justify;
    p {font-size: 15px;}
    .service-box+.service-box {margin-top: 30px;}
    .services-list {
        background-color: var(--surface-color);
        a:first-child {margin-top: 0;}
        a.active i {color: var(--contrast-color);}
    }
    .download-catalog {
        a:hover {color: var(--accent-color);}
        a:last-child {padding-bottom: 0;}
    }
    .help-box {
        .help-icon {font-size: 48px;}
        h4, .service-details .help-box a {color: var(--contrast-color);}
        p a {color: #000;}
    }
}
#contact .sent-message {
    color: #ffc451;
    background-color: #333;
}

@keyframes animation {
    0% {
        transform: translateX(5px);
        filter: blur(4px);
    }

    50% {
        transform: translateX(-5px);
        filter: blur(2px);
    }

    100% {
        transform: translateX(0);
        filter: blur(0);
    }
}
#hero {
    width: 100%;
    min-height: 100vh;
    position: relative;
    background-size: cover !important;
    -moz-transition: all 1s ease-in-out;
    -o-transition: all 1s ease-in-out;
    transition: all 1s ease-in-out;
}
#features .container .row {
    padding-top: 10px;
    padding-bottom: 40px;
}
.text-image-banner-content-div {
    background: #fff;
    padding: 4pc;
    width: 95%;
}
.text-image-banner-heading {
    font-size: .875rem !important;
    line-height: 1.5rem !important;
    letter-spacing: .15em !important;
    color: #747678 !important;
    margin-bottom: 0.5rem !important;
    font-family: "Poppins", sans-serif !important;
}
.text-image-banner-title {
    font-size: 2.5rem;
    line-height: 2.5rem;
    color: #ffbb38;
    margin-bottom: 2rem;
    font-family: "Poppins", sans-serif !important;
}
.wwa-cont {
    background-image: url('/images/about-us-monitor.jpg');
    background-size: 1024px;
}
.wwd-cont {
    background: url('/images/about-us-key-board.jpg') right no-repeat;
    margin-top: 70px;
}
.mem-list {
    padding:0px;
    padding-left:15px;
    font-style: italic;
}
.form-cont {
    background-image: url('/images/bg-login.jpg'); 
    background-repeat: no-repeat; 
    background-size: cover;
    background-position: center center;
    overflow-y: auto;
    padding: 0px !important;
    height: 100vh;
} 
.form-holder {
    margin-top:200px;
} 
.user-icon-cont {
    text-align: center;
    font-size: 100px;
}
.cta-form button {
    background-color:#ffbb38 !important;
    border-color: #fff !important;
}
.cta-form label {
    font-weight: bold;
    margin-bottom: 5px;
}
.con-confirm-msg {
    font-size: 17px;
    text-align: center;
    line-height: 1.8;
    color: #ffc451 !important;
    background-color: #000;
    padding: 20px;
    letter-spacing: 2px;
}
.service-details {
    .service-box {
        background-color: var(--surface-color);
        padding: 20px;
        box-shadow: 0px 2px 20px rgba(0, 0, 0, 0.1);
        h4 {
            font-size: 20px;
            font-weight: 700;
            border-bottom: 2px solid color-mix(in srgb, var(--default-color), transparent 92%);
            padding-bottom: 15px;
            margin-bottom: 15px;
        }
    }
    .services-list {
        a {
            color: color-mix(in srgb, var(--default-color), transparent 20%);
            background-color: color-mix(in srgb, var(--default-color), transparent 96%);
            display: flex;
            align-items: center;
            padding: 12px 15px;
            margin-top: 15px;
            transition: 0.3s;
        }
        a i {
            font-size: 16px;
            margin-right: 8px;
            color: var(--accent-color);
        }
        a.active {
            color: var(--contrast-color);
            background-color: var(--accent-color);
        }
        a:hover {
            background-color: color-mix(in srgb, var(--accent-color), transparent 95%);
            color: var(--accent-color);
        }
    }
    .download-catalog {
        a {
            color: var(--default-color);
            display: flex;
            align-items: center;
            padding: 10px 0;
            transition: 0.3s;
            border-top: 1px solid color-mix(in srgb, var(--default-color), transparent 90%);
        }
        a:first-child {
            border-top: 0;
            padding-top: 0;
        }
        a i {
            font-size: 24px;
            margin-right: 8px;
            color: var(--accent-color);
        }
    }
    .help-box {
        background-color: var(--accent-color);
        color: var(--contrast-color);
        padding: 30px 15px;
        margin-top: 20px;
        p a {color: #000000;}
    }
    h3 {
        font-size: 26px;
        font-weight: 700;
        margin-top: 20px;
    }
    ul {
        list-style: none;
        padding: 0;
        font-size: 15px;
        li {
            padding: 5px 0;
            align-items: center;
        }
        i {
            font-size: 20px;
            margin-right: 8px;
            color: var(--accent-color);
        }
    }
}

/* Custom media query css properties goes here */
@media only screen and (max-width: 700px) {
    /* One-liner css properties */
    .logo-img {width: 250px !important;}
    header nav li.desktop { display: none; }
    header nav li.mobile { display: block; }

    /* Non-one-liner css properties */
    #hero .icon-box{
        width: 80% !important;
        margin: auto !important;
    }    
    #about {
        padding-bottom: 5px !important;
        padding-left: 10px;
        padding-right: 10px;
    }
    .home-page {
        section#services {padding: 20px 10px 0 10px;}
        section#features {padding: 40px 10px 0 10px;}
        section#team {padding: 50px 10px 20px 10px;}
        section#contact {padding-top: 20px 10px 0 10px}
        section#portfolio {padding: 50px 10px 0 10px;}
    }
    .on-mob {
        padding: 0;
        margin: 0;
    }
}

